/* InputMakers 
Projecte Marc de Fotos amb il·luminació Led: 
Mitjançant el potenciòmetre regulem la intensitat de llum dels tres leds que il·luminaran la fotografia.
*/

int led9 = 9, led10 = 10, led11 = 11;    // Variables associades a cada led.
int brillantor;    // Variable on guardarem la intensitat de la brillantor.
int pot = 0;    // Variable on guardarem la lectura del potenciòmetre.
int potpin = A1; // Pin del potenciòmetre connectat a l'entrada analògica A1.

void setup() {
  pinMode (led9, OUTPUT);    // Definim els pins on van connectats els leds com sortides.
  pinMode (led10, OUTPUT);
  pinMode (led11, OUTPUT);

}

void loop() {
  
  pot = analogRead(potpin);    // Lectura del valor del potenciòmetre amb analogRead.
  
/* A continuació escalem els valors del potenciòmetre (que van de 0 a 1023 per a l'entrada analògica) al led (que van de 0 a 255 per a la sortida PWM).*/
  brillantor = map (pot, 0, 1023, 0, 255); // Escalar valors del potenciòmetre (entrada analògica) al led (sortida digital).

/* Per últim asignem el valor de la variable brillantor a cadascun dels leds amb analogWrite.*/ 
  analogWrite (led9, brillantor);
  analogWrite (led10, brillantor);
  analogWrite (led11, brillantor);
   
}
